#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <stdbool.h>

 
void led_init(void)
{
    int fd;
 
    fd = open("/sys/class/gpio/export",O_WRONLY);
    if(fd < 0)
    {
        printf("open export fail\r\n");
        return ;
    }
    write(fd,"960",4);
    close(fd);
 
    fd = open("/sys/class/gpio/gpio960/direction",O_RDWR);
    if(fd < 0)
    {
        printf("open direction fail\r\n");
        return ;
    }
    write(fd,"out",4);
    close(fd);
}
 
void led_ctl(bool on_off)
{
    int fd;
 
    fd = open("/sys/class/gpio/gpio960/value",O_RDWR);
    if(fd < 0)
    {
        printf("open value fail\r\n");
        return ;
    }
    if(on_off==true)
    {
        write(fd,"1",2);
    }
    else
    {
        write(fd,"0",2);
    }
    close(fd);
}
 
int main(void)
{
    led_init();
 
    while(1)
    {
        led_ctl(true);
        sleep(1);
 
        led_ctl(false);
        sleep(1);
    }
    return 0;
}